cmn_t Struct Reference

wrapper of operation of the cepstral mean normalization. More...

`#include <cmn.h>`

## Data Fields

mfcc_t * | cmn_mean
| Temporary variable: current means.
mfcc_t * | cmn_var
| Temporary variables: stored the cmn variance.
mfcc_t * | sum
| The sum of the cmn frames.
int32 | nframe
| Number of frames.
int32 | veclen
| Length of cepstral vector.

## Detailed Description

wrapper of operation of the cepstral mean normalization.

Definition at line 128 of file cmn.h.

## Field Documentation

## cmn_mean

mfcc_t* cmn_t::cmn_mean

Temporary variable: current means.

Definition at line 129 of file cmn.h.

## cmn_var

mfcc_t* cmn_t::cmn_var

Temporary variables: stored the cmn variance.

Definition at line 130 of file cmn.h.

## nframe

int32 cmn_t::nframe

Number of frames.

Definition at line 132 of file cmn.h.

## sum

mfcc_t* cmn_t::sum

The sum of the cmn frames.

Definition at line 131 of file cmn.h.

## veclen

int32 cmn_t::veclen

Length of cepstral vector.

Definition at line 133 of file cmn.h.

The documentation for this struct was generated from the following file:

- include/sphinxbase/cmn.h